using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace MECF.Framework.UI.Client.TrayThickness
{
    /// <summary>
    /// WinTrayThicknessDataView.xaml 的交互逻辑
    /// </summary>
    public partial class WinTrayThicknessDataView : Window
    {
        public WinTrayThicknessDataView()
        {
            InitializeComponent();
        }

        private void TextBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            TextBox textBox = sender as TextBox;
            double input;
            if (!double.TryParse(textBox.Text, out input))
                textBox.Foreground= Brushes.Red;
            else if (input < 0 || input > 9999999)
                textBox.Foreground = Brushes.Red;
            else
                textBox.Foreground = Brushes.Black;
        }
    }
}
